Package com.google.protobuf.compiler

# Interface PluginProtos.VersionOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `PluginProtos.Version`, `PluginProtos.Version.Builder`

Enclosing class:
  PluginProtos

public static interface PluginProtos.VersionOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`int`
`getMajor()`
`optional int32 major = 1 [json_name = "major"];`
`int`
`getMinor()`
`optional int32 minor = 2 [json_name = "minor"];`
`int`
`getPatch()`
`optional int32 patch = 3 [json_name = "patch"];`
`String`
`getSuffix()`
`optional string suffix = 4 [json_name = "suffix"];`
`ByteString`
`getSuffixBytes()`
`optional string suffix = 4 [json_name = "suffix"];`
`boolean`
`hasMajor()`
`optional int32 major = 1 [json_name = "major"];`
`boolean`
`hasMinor()`
`optional int32 minor = 2 [json_name = "minor"];`
`boolean`
`hasPatch()`
`optional int32 patch = 3 [json_name = "patch"];`
`boolean`
`hasSuffix()`
`optional string suffix = 4 [json_name = "suffix"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasMajor

boolean hasMajor()
`optional int32 major = 1 [json_name = "major"];`

Returns:
  Whether the major field is set.

### getMajor

int getMajor()
`optional int32 major = 1 [json_name = "major"];`

Returns:
  The major.

### hasMinor

boolean hasMinor()
`optional int32 minor = 2 [json_name = "minor"];`

Returns:
  Whether the minor field is set.

### getMinor

int getMinor()
`optional int32 minor = 2 [json_name = "minor"];`

Returns:
  The minor.

### hasPatch

boolean hasPatch()
`optional int32 patch = 3 [json_name = "patch"];`

Returns:
  Whether the patch field is set.

### getPatch

int getPatch()
`optional int32 patch = 3 [json_name = "patch"];`

Returns:
  The patch.

### hasSuffix

boolean hasSuffix()
`optional string suffix = 4 [json_name = "suffix"];`

Returns:
  Whether the suffix field is set.

### getSuffix

String getSuffix()
`optional string suffix = 4 [json_name = "suffix"];`

Returns:
  The suffix.

### getSuffixBytes

ByteString getSuffixBytes()
`optional string suffix = 4 [json_name = "suffix"];`

Returns:
  The bytes for suffix.